Bug 42390 - Patch to make Linux XDR header files (in /usr/include/rpc) work with gcc -ansi
Summary: Patch to make Linux XDR header files (in /usr/include/rpc) work with gcc -ansi
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL: http://www.math.ualberta.ca/~bowman/s...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-26 18:32 UTC by John Bowman
Modified: 2016-11-24 14:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-01 09:16:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to make Linux XDR header files (in /usr/include/rpc) work with gcc -ansi (20.77 KB, patch)
2001-05-26 18:33 UTC, John Bowman
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:121 normal SHIPPED_LIVE GNU C Library bugfix update 2001-10-04 04:00:00 UTC

Description John Bowman 2001-05-26 18:32:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.19 i586)

Description of problem:
Patch to fix undefined type definitions in XDR header files in
/usr/include/rpc
when compiling with the -ansi option. Example:  compile
http://www.math.ualberta.ca/~bowman/xstream.cc
with g++ -ansi. You will need the header file
http://www.math.ualberta.ca/~bowman/xstream.html

How reproducible:
Always

Steps to Reproduce:
1. g++ -ansi xstream.cc
2.
3.
	

Actual Results:  Syntax errors

Additional info:

Comment 1 John Bowman 2001-05-26 18:33:42 UTC
Created attachment 19730 [details]
Patch to make Linux XDR header files (in /usr/include/rpc) work with gcc -ansi

Comment 2 Jakub Jelinek 2001-06-01 09:16:22 UTC
See http://sources.redhat.com/ml/libc-hacker/2001-05/msg00086.html,
Ulrich Drepper actually applied the second (shorter) version of the patch.
It will appear in the next glibc build.

Comment 3 Jakub Jelinek 2001-06-07 13:14:50 UTC
Fixed in glibc-2.2.3-11.


Note You need to log in before you can comment on or make changes to this bug.